Subject: Re: Git User's Survey 2007 unfinished summary continued

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 13 Oct 2007 21:44:45 -0400

Linus Torvalds <[email-masked]> wrote:
> On Sun, 14 Oct 2007, Johannes Schindelin wrote:
> >
> > My main point is -- and always was -- that I'd like people to realise how 
> > much it depends on _them_ if (and when) their wishes come true.
> 
> Dscho, that's just not fair.
...
> Complain about it when somebody asks for something *stupid*. Explain why 
> it would be wrong to do something like that. But don't complain about 
> people having wish-lists, even if those people may not work on them.
> 
> Not everybody is a "doer". It's important to get input from people who are 
> just plain users, or hope to be.

I agree with both of you.  My understanding of Dscho's original
comment was that people weren't saying *what* specifically their
wish-list was, which means we have no hope as a community of meeting
their requests.

Carl and Andy both had submitted a long list of very specific issues
that they had with Git.  The result of those lists being posted was
a number of people contributed improvements that lead us to 1.5.
Nobody can argue with that.

But just saying "MY GOD FIX THE UI" is not a wishlist item (yes,
that was a real survey answer).  It provides the community no
chance to understand what parts of the UI we need to work on, and
what parts the end-user is OK with or just hasn't even tried to use.

-- 
Shawn.